import typing as _typing
import dynamix_sdk.base as _base


class CloudapiComputeGuestAgentExecuteResultModel(
    _base.BaseAPIResultModel,
):
    exec_result: dict


class CloudapiComputeGuestAgentExecuteProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def guest_agent_execute(
        self,
        *,
        vm_id: int,
        cmd: str,
        args: dict[str, _typing.Any],
    ) -> CloudapiComputeGuestAgentExecuteResultModel:
        ...
